Skip to content
Docs

Change a responsibility

PATCH
/api/workspaces/{ws}/hires/{id}/responsibilities/{rid}

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

id*string

The id of what the path names: a hire, a connection, a skill, a shared file, a department, a position, a goal or an approval.

rid*string

The responsibility's id.

Request Body

application/json
  1. body
conversation?|null
title?string
Length1 <= length <= 120
instructions?string
Lengthlength <= 4000
schedule?|||
enabled?boolean

Response Body

The responsibility.

Example Request
curl -X PATCH 'https://app.useroster.work/api/workspaces/string/hires/string/responsibilities/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty